/**
*This class should in the future be used in the TableWidget
*It will override the operator< , so the Table can be ordered by date.
* At the moment it is't working because it seems we need to
*make a new QList<QStringDates> too....
*/
#ifndef STRINGDATE_H
#define STRINGDATE_H

#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QDate>

class StringDate 
 {

        public:
	StringDate();
        StringDate(QDate date);
	StringDate(QString date);
	bool operator<(const StringDate& s1) const;
	bool operator>(const StringDate& s1) const;
	bool operator<=(const StringDate& s1) const;
	bool operator==(const StringDate& s1) const;
	QString getQString() const;
	QDate getQDate() const;
	void addDays(int value);

	private:
	QString stringvalue;
	QDate datevalue;

	int getyear(QString date);
	int getmonth(QString date);
	int getday(QString date);
};


#endif


